Get all payroll components and component groups

get

/hcmRestApi/resources/11.13.18.05/payrollComponentsAndComponentGroups

Request

Query Parameters
  • When this parameter is provided, the specified children are included in the resource payload (instead of just a link). The value of this query parameter is "all" or "". More than one child can be specified using comma as a separator. Example: ?expand=Employees,Localizations. Nested children can also be provided following the format "Child.NestedChild" (Example: ?expand=Employees.Managers). If a nested child is provided (Example: Employees.Managers), the missing children will be processed implicitly. For example, "?expand=Employees.Managers" is the same as "?expand=Employees,Employees.Managers" (which will expand Employees and Managers).
  • This parameter filters the resource fields. Only the specified fields are returned, which means that if no fields are specified, no fields are returned (useful to get only the links). If an indirect child resource is provided (Example: Employees.Managers), the missing children will be processed implicitly. For example, "?fields=Employees.Managers:Empname" is the same as "?fields=;Employees:;Employees.Managers:Empname" (which will only return the "Empname" field for Managers). the value of this query parameter is a list of resource fields. The attribute can be a direct (Example: Employees) or indirect (Example: Employees.Managers) child. It cannot be combined with expand query parameter. If both are provided, only fields will be considered.

    Format: ?fields=Attribute1,Attribute2

    Format for fields in child resource: ?fields=Accessor1:Attribute1,Attribute2
  • Used as a predefined finder to search the collection.

    Format ?finder=<finderName>;<variableName>=<variableValue>,<variableName2>=<variableValue2>

    The following are the available finder names and corresponding finder variables

    • PrimaryKey Finds payroll components and component groups with the specified primary key.
      Finder Variables
      • DeductionTypeId; integer; Primary key value of the deduction type identifier.
    • findByDeductionType Finds payroll components and component groups that match the specified deduction type.
      Finder Variables
      • DeductionTypeId; integer; Search by deduction type identifier.
    • findByLdg Finds payroll components and component groups that match the specified LDG.
      Finder Variables
      • LegislativeDataGroupId; integer; Search by LDG ID
  • This parameter restricts the number of resources returned inside the resource collection. If the limit exceeds the resource count then the framework will only return the available resources.
  • This parameter can be used to show only certain links while accessing a singular resource or a resource collection. The parameter value format is a comma-separated list of : <link_relation>

    Example:
    self,canonical
  • Used to define the starting position of the resource collection. If offset exceeds the resource count then no resources are returned. Default value is 0.
  • The resource item payload will be filtered in order to contain only data (no links section, for example).
  • This parameter orders a resource collection based on the specified fields. The parameter value is a comma-separated string of attribute names, each optionally followed by a colon and "asc" or "desc". Specify "asc" for ascending and "desc" for descending. The default value is "asc". For example, ?orderBy=field1:asc,field2:desc
  • This query parameter defines the where clause. The resource collection will be queried using the provided expressions. The value of this query parameter is one or more expressions. Example: ?q=Deptno>=10 and <= 30;Loc!=NY

    Format: ?q=expression1;expression2

    You can use these queryable attributes to filter this collection resource using the q query parameter:
    • BaseDeductionTypeId; integer; Unique identifier of the base deduction type of the payroll component or component group.
    • BaseName; string; Base name of the payroll component or component group.
    • CreatedBy; string; User who created the payroll component or component group.
    • CreationDate; string; The date when the payroll component or component group was created.
    • DeductionCode; string; Code that identifies the deduction for the payroll component or component group.
    • DeductionGroupId; integer; Unique identifier of the deduction group of the payroll component or component group.
    • DeductionTypeId; integer; Unique identifier of the deduction type of the payroll component or component group.
    • DisplaySequence; integer; Sequence that controls the display order of the payroll component or component group.
    • LastUpdateDate; string; The date when the payroll component or component group was last updated.
    • LastUpdateLogin; string; Last login to update the payroll component or component group.
    • LastUpdatedBy; string; User who last updated the payroll component or component group.
    • LegislationCode; string; Code that identifies the legislation of the payroll component or component group.
    • LegislativeDataGroupId; integer; Unique identifier of the legislative data group of the payroll component or component group.
    • ModuleId; string; Unique identifier of the module of the payroll component or component group.
    • Name; string; Name of the payroll component or component group.
    • ObjectVersionNumber; integer; Version number of the payroll component or component group.
    • SeedStatus; string; Status of the predefined record of the payroll component or component group.
    • UseAllTaxUnits; string; Indicates whether all tax reporting units are used.
  • The resource collection representation will include the "estimated row count" when "?totalResults=true", otherwise the count is not included. The default value is "false".
Header Parameters
  • If the REST API supports runtime customizations, the shape of the service may change during runtime. The REST client may isolate itself from these changes or choose to interact with the latest version of the API by specifying this header. For example: Metadata-Context:sandbox="TrackEmployeeFeature".
  • The protocol version between a REST client and service. If the client does not specify this header in the request the server will pick a default version for the API.

There's no request body for this operation.

Back to Top

Response

Supported Media Types

Default Response

The following table describes the default response for this task.
Headers
  • If the REST API supports runtime customizations, the shape of the service may change during runtime. The REST client may isolate itself from these changes or choose to interact with the latest version of the API by specifying this header. For example: Metadata-Context:sandbox="TrackEmployeeFeature".
  • The protocol version between a REST client and service. If the client does not specify this header in the request the server will pick a default version for the API.
Body ()
Root Schema : payrollComponentsAndComponentGroups
Type: object
Show Source
Nested Schema : Items
Type: array
Title: Items
The items in the collection.
Show Source
Nested Schema : payrollComponentsAndComponentGroups-item-response
Type: object
Show Source
Nested Schema : Deduction Context Usage
Type: array
Title: Deduction Context Usage
The DeductionContextUsageRest resource provides access to deduction context usage
Show Source
Nested Schema : Deduction Element Type
Type: array
Title: Deduction Element Type
The DeductionElementTypeRestD resource provides access to deduction element type.
Show Source
Nested Schema : Deduction Group
Type: array
Title: Deduction Group
The DeductionGroupRest resourceProvides access to deduction group.
Show Source
Nested Schema : Deduction Report Use
Type: array
Title: Deduction Report Use
The DeductionReportUseRest resource provides access to deduction report use.
Show Source
Nested Schema : payrollComponentsAndComponentGroups-DeductionContextUsageRest-item-response
Type: object
Show Source
Nested Schema : payrollComponentsAndComponentGroups-DeductionElementTypeRestD-item-response
Type: object
Show Source
Nested Schema : payrollComponentsAndComponentGroups-DeductionGroupRest-item-response
Type: object
Show Source
Nested Schema : payrollComponentsAndComponentGroups-DeductionReportUseRest-item-response
Type: object
Show Source
Back to Top